# HG changeset patch
# User Michael Godfrey <michaeldgodfrey@gmail.com>
# Date 1401492854 -3600
#      Sat May 31 00:34:14 2014 +0100
# Node ID 20364e10e022895944b211d7ea328163e79d2334
# Parent  ff613b6a7b6f780b7197f2e2bbe5dbae81c409f9
Edit Manual Sect. 1.3.3_final_v2

diff -r ff613b6a7b6f -r 20364e10e022 doc/interpreter/plot.txi
--- a/doc/interpreter/plot.txi	Fri May 23 16:28:37 2014 +0200
+++ b/doc/interpreter/plot.txi	Sat May 31 00:34:14 2014 +0100
@@ -540,8 +540,8 @@
 
 @DOCSTRING(drawnow)
 
-Only figures that are modified will be updated.  The @code{refresh}
-function can also be used to force an update of the current figure, even if
+Only figures that are modified will be updated.  The @code{"refresh"}
+function can also be used to cause an update of the current figure, even if
 it is not modified.
 
 @DOCSTRING(refresh)
@@ -1311,9 +1311,38 @@
 * Surface Properties::
 @end menu
 
-In this Section the object properties are discussed in detail, starting
+In this Section the graphics object properties are discussed in detail, starting
 with the root figure properties and continuing through the graphics object
-hierarchy.
+hierarchy. The properties of each graphics object with its allowed values
+can be displayed using:
+
+@table @code
+@item Figure
+--- @code{set (gcf ())} or @code{set (0)}
+
+@item Axes
+--- @code{set (gca ())} or @code{set (axes)}
+
+@item Line
+--- @code{set (line)}
+
+@item Text
+--- @code{set (text)}
+
+@item Image
+--- @code{set (image)}
+
+@item Patch
+--- @code{set (patch)}
+
+@item Surface
+--- @code{set (surface)}
+@end table
+
+The default value for each property is are enclosed in @{ @}.
+
+NOTE: It is appropriate to use these @code{set} functions as a check on the information shown below as
+your copy of Octave may not match the version described here.
 
 @node Root Figure Properties
 @subsubsection Root Figure Properties
@@ -1322,24 +1351,15 @@
 The @code{root figure} properties are:
 
 @table @code
-@item __modified__
---- Values: @qcode{"on"}, @qcode{"off"}
-
-@item __myhandle__
-
-@item beingdeleted
---- Values: @qcode{"on"}, @qcode{"off"}
-
-@item busyaction
+@item __modified__: @code{[ off | @{on@} ]}
+
+@item beingdeleted: @code{[ off | @{on@}  ]}
+
+@item busyaction: @code{[ cancel | @{queue@} ]}
 
 @item buttondownfcn
 
-@item callbackobject
-
-@item children
-
-@item clipping
- --- Values: @qcode{"on"}, @qcode{"off"}
+@item clipping: @code{[ off | @{on@}  ]}
 
 @item createfcn
 
@@ -1347,45 +1367,48 @@
 
 @item deletefcn
 
-@item handlevisibility
---- Values: @qcode{"on"}, @qcode{"off"}
-
-@item hittest
---- Values: @qcode{"on"}, @qcode{"off"}
-
-@item interruptible
---- Values: @qcode{"on"}, @qcode{"off"}
+@item diary:  @code{[ off | @{on@}  ]}
+
+@item diaryfile
+
+@item echo:  @code{[ off | @{on@}  ]}
+
+@item fixedwidthfontname
+
+@item format:  @code{[ + | bank | bit | hex | long | longe | longeng | longg | native-bit | native-hex | none | rat | @{short@} | shorte | shorteng | shortg ]}
+
+@item formatspacing: @code{[ compact | @{loose@} ]}
+
+@item handlevisibility: @code{[ callback | off | @{on@}  ]}
+
+@item hittest: @code{[ off | @{on@}  ]}
+
+@item interruptible: @code{[ off | @{on@}  ]}
+
+@item language
+
+@item monitorpositions
 
 @item parent
 
-@item screendepth
-
-@item screenpixelsperinch
-
-@item screensize
-
-@item selected
-
-@item selectionhighlight
-
-@item screendepth
-
-@item screenpixelsperinch
-
-@item showhiddenhandles
---- Values: @qcode{"on"}, @qcode{"off"}
+@item pointerlocation
+
+@item recursionlimit
+
+@item selected: @code{[ off | @{on@}  ]}
+
+@item selectionhighlight: @code{[ off | @{on@}  ]}
+
+@item showhiddenhandles: @code{[ off | @{on@}  ]}
 
 @item tag
 
-@item type
-
 @item uicontextmenu
 
-@item units
-
+@item units: @code{[ centimeters | inches | normalized | @{pixels@} | points ]}
 @item userdata
 
-@item visible
+@item visible: @code{[ off | @{on@}  ]}
 @end table
 
 @node Figure Properties
@@ -1398,47 +1421,225 @@
 @item __graphics_toolkit__
 --- The graphics toolkit currently in use.
 
-@item __enhanced__
-
-@item __modified__
-
-@item __myhandle__
-
-@item __plot_stream__
-
-@item alphamap
-
-@item beingdeleted
---- Values: @qcode{"on"}, @qcode{"off"}
-
-@item busyaction
-
-@item buttondownfcn
-
-@item children
-Handle to children.
-
-@item clipping
---- Values: @qcode{"on"}, @qcode{"off"}
+@item __modified__: @code{[ off | @{on@}  ]}
+
+@item alphamap:
+
+@item beingdeleted: @code{[ off | @{on@}  ]}
+
+@item busyaction: @code{[ cancel | @{queue@} ]}
+
+@item buttondownfcn:
+
+@item clipping: @code{[ off | @{on@}  ]}
 
 @item closerequestfcn
 --- Handle of function to call on close.
 
-@item color
-
-@item colormap
+@item color:
+
+@item colormap:
 An N-by-3 matrix containing the color map for the current axes.
 
-@item paperorientation
-
-@item createfcn
-
-@item currentaxes
+@item createfcn:
+
+@item currentaxes:
 Handle to graphics object of current axes.
 
-@item currentcharacter
-
-@item currentobject
+@item deletefcn:
+
+@item dockcontrols: @code{[ off | @{on@}  ]}
+
+@item doublebuffer: @code{[ off | @{on@}  ]}
+
+@item filename:
+
+@item handlevisibility: @code{[ callback | off | @{on@}  ]}
+
+@item hittest: @code{[ off | @{on@}  ]}
+
+@item integerhandle: @code{[ off | @{on@}  ]}
+
+@item interruptible: @code{[ off | @{on@}  ]}
+
+@item inverthardcopy: @code{[ off | @{on@}  ]}
+
+@item keypressfcn
+see @qcode{"keyreleasefcn"} below
+
+@item keyreleasefcn
+@qcode{"keypressfcn"} and @qcode{"keyreleasefcn"} are the keyboard callback 
+functions.  These
+callback functions are called when a key is pressed/released
+respectively.  The functions are called with two input arguments.  The
+first argument holds the handle of the calling figure.  The second
+argument holds the event structure which has the following members:
+
+@table @code
+@item Character
+The ASCII value of the key
+
+@item Key
+lowercase value of the key
+
+@item Modifier
+A cell array containing strings representing the modifiers pressed with
+the key.  Possible values are @qcode{"shift"}, @qcode{"alt"}, and
+@qcode{"control"}.
+@end table
+
+@item menubar: @code{[ @{figure@} | none ]}
+
+@item mincolormap:
+
+@item name:
+
+@item nextplot: @code{[ @{add@} | new | replace | replacechildren ]}
+
+@item numbertitle: @code{[ off | @{on@}  ]}
+
+@item outerposition:
+
+@item paperorientation: @code{[ landscape | @{portrait@} | rotated ]}
+
+@item paperposition:
+
+@item paperpositionmode: @code{[ auto | @{manual@} ]}
+
+@item papersize:
+
+@item papertype: @code{[ <custom> | a | a0 | a1 | a2 | a3 | a4 | a5 | arch-a | arch-b | arch-c | arch-d | arch-e | b | b0 | b1 | b2 | b3 | b4 | b5 | c | d | e | tabloid | uslegal | @{usletter@} ]}
+
+@item paperunits: @code{[ centimeters | @{inches@} | normalized | points ]}
+
+@item parent:
+
+@item pointer: @code{[ @{arrow@} | botl | botr | bottom | circle | cross | crosshair | custom | fleur | fullcrosshair | hand | ibeam | left | right | top | topl | topr | watch ]}
+
+@item pointershapecdata:
+
+@item pointershapehotspot:
+
+@item position:
+
+@item renderer: @code{[ none | opengl | @{painters@} | zbuffer ]}
+
+@item renderermode: @code{[ @{auto@} | manual ]}
+
+@item resize: @code{[ off | @{on@}  ]}
+
+@item resizefcn:
+
+@item selected: @code{[ off | @{on@}  ]}
+
+@item selectionhighlight: @code{[ off | @{on@}  ]}
+
+@item selectiontype: @code{[ alt | extend | @{normal@} | open ]}
+
+@item tag:
+
+@item toolbar: @code{[ @{auto@} | figure | none ]}
+
+@item uicontextmenu:
+
+@item units: @code{[ centimeters | characters | inches | normalized | @{pixels@} | points ]}
+
+@item userdata:
+
+@item visible: @code{[ off | @{on@}  ]}
+
+@item windowbuttondownfcn
+See @qcode{"windowbuttonupfcn"} below
+
+@item windowbuttonmotionfcn
+See @qcode{"windowbuttonupfcn"}
+
+@item windowbuttonupfcn
+The mouse callback functions are @qcode{"windowbuttondownfcn"}, 
+@qcode{"windowbuttonmotionfcn"}  and @qcode{"windowbuttonupfcn"}. 
+These callback functions are called when
+the mouse button is pressed, dragged, and released respectively.  When
+these callback functions are called, the @qcode{"currentpoint"} property
+is set to the current coordinates of the cursor.
+
+@item windowkeypressfcn:
+
+@item windowkeyreleasefcn:
+
+@item windowscrollwheelfcn:
+
+@item windowstyle: @code{[ docked | modal | @{normal@} ]}
+
+@item wvisual:
+
+@item wvisualmode: @code{[ @{auto@} | manual ]}
+
+@item xdisplay:
+
+@item xvisual:
+
+@item xvisualmode: @code{[ @{auto@} | manual ]}
+
+@end table
+
+@node Axes Properties
+@subsubsection Axes Properties
+@cindex axes properties
+
+The @code{axes} properties are:
+
+@table @code
+@item __modified__: @code{[ off | @{on@}  ]}
+
+@item activepositionproperty: @code{[ @{outerposition@}  | position ]}
+
+@item alim:
+
+@item alimmode: @code{[ @{auto@} | manual ]}
+
+@item ambientlightcolor:
+
+@item beingdeleted: @code{[ off | @{on@}  ]}
+
+@item box: @code{[ off | @{on@}  ]}
+
+@item busyaction: @code{[ cancel | @{queue@} ]}
+
+@item buttondownfcn:
+
+@item cameraposition:
+
+@item camerapositionmode: @code{[ @{auto@}  | manual ]}
+
+@item cameratarget:
+
+@item cameratargetmode: @code{[ @{auto@}  | manual ]}
+
+@item cameraupvector:
+
+@item cameraupvectormode: @code{[ @{auto@}  | manual ]}
+
+@item cameraviewangle:
+
+@item cameraviewanglemode: @code{[ @{auto@}  | manual ]}
+
+@item children:
+
+@item clim
+Two-element vector defining the limits for the c axis of
+an image.  See @code{pcolor} property.
+Setting this property also causes the corresponding mode
+property to be set to @qcode{"manual"}.
+
+@item climmode: @code{[ @{auto@}  | manual ]}
+
+@item clipping: @code{[ off | @{on@}  ]}
+
+@item color:
+
+@item colororder:
+
+@item createfcn:
 
 @item currentpoint
 Holds the coordinates of the point over which the mouse pointer was when
@@ -1446,273 +1647,48 @@
 @qcode{"currentpoint"} holds the coordinates of the point over which the
 mouse pointer is when the function gets called.
 
-@item deletefcn
-
-@item dockcontrols
---- Values: @qcode{"on"}, @qcode{"off"}
-
-@item doublebuffer
---- Values: @qcode{"on"}, @qcode{"off"}
-
-@item filename
-
-@item handlevisibility
---- Values: @qcode{"on"}, @qcode{"off"}
-
-@item hittest
-
-@item integerhandle
-
-@item interruptible
---- Values: @qcode{"on"}, @qcode{"off"}
-
-@item inverthardcopy
-
-@item keypressfcn
-see @qcode{"keypressfcn"}
-
-@item keyreleasefcn
-With @qcode{"keypressfcn"}, the keyboard callback functions.  These
-callback functions get called when a key is pressed/released
-respectively.  The functions are called with two input arguments.  The
-first argument holds the handle of the calling figure.  The second
-argument holds the event structure which has the following members:
-
-@table @code
-@item Character
-The ASCII value of the key
-
-@item Key
-lowercase value of the key
-
-@item Modifier
-A cell array containing strings representing the modifiers pressed with
-the key.  Possible values are @qcode{"shift"}, @qcode{"alt"}, and
-@qcode{"control"}.
-@end table
-
-@item menubar
-
-@item mincolormap
-
-@item name
-
-@item nextplot
-May be one of
-
-@table @asis
-@item @qcode{"new"}
-
-@item @qcode{"add"}
-
-@item @qcode{"replace"}
-
-@item @qcode{"replacechildren"}
-@end table
-
-@item numbertitle
-
-@item paperorientation
-Indicates the orientation for printing.  Either @qcode{"landscape"} or
-@qcode{"portrait"}.
-
-@item paperposition
-
-@item paperpositionmode
-
-@item papersize
-
-@item papertype
-
-@item paperunits
-
-@item pointer
-
-@item pointershapecdata
-
-@item pointershapehotspot
-
-@item position
-
-@item renderer
-
-@item renderermode
-
-@item resize
-
-@item resizefcn
-
-@item selected
-
-@item selectionhighlight
---- Values: @qcode{"on"}, @qcode{"off"}
-
-@item selectiontype
-
-@item tag
-
-@item toolbar
-
-@item type
-
-@item units
-
-@item userdata
-
-@item visible
-Either @qcode{"on"} or @qcode{"off"} to toggle display of the figure.
-
-@item windowbuttondownfcn
-See @qcode{"windowbuttonupfcn"}
-
-@item windowbuttonmotionfcn
-See @qcode{"windowbuttonupfcn"}
-
-@item windowbuttonupfcn
-With @qcode{"windowbuttondownfcn"} and @qcode{"windowbuttonmotionfcn"},
-the mouse callback functions.  These callback functions get called when
-the mouse button is pressed, dragged, and released respectively.  When
-these callback functions are called, the @qcode{"currentpoint"} property
-holds the current coordinates of the cursor.
-
-@item windowscrollwheelfcn
-
-@item windowstyle
-
-@item wvisual
-
-@item wvisualmode
-
-@item xdisplay
-
-@item xvisual
-
-@item xvisualmode
-@end table
-
-@node Axes Properties
-@subsubsection Axes Properties
-@cindex axes properties
-
-The @code{axes} properties are:
-
-@table @code
-@item __modified__
-
-@item __myhandle__
-
-@item activepositionproperty
-
-@item alim
-
-@item alimmode
-
-@item ambientlightcolor
-
-@item beingdeleted
-
-@item box
-Box surrounding axes.
---- Values: @qcode{"on"}, @qcode{"off"}
-
-@item busyaction
-
-@item buttondownfcn
-
-@item cameraposition
-
-@item camerapositionmode
-
-@item cameratarget
-
-@item cameratargetmode
-
-@item cameraupvector
-
-@item cameraupvectormode
-
-@item cameraviewangle
-
-@item cameraviewanglemode
-
-@item children
-
-@item clim
-Two-element vector defining the limits for the c axis of
-an image.  See @code{pcolor} property.
-Setting this property also forces the corresponding mode
-property to be set to @qcode{"manual"}.
-
-@item climmode
-Either @qcode{"manual"} or @qcode{"auto"}.
-
-@item clipping
-
-@item color
-
-@item colororder
-
-@item createfcn
-
-@item currentpoint
-Holds the coordinates of the point over which the mouse pointer was when
-the mouse button was pressed.  If a mouse callback function is defined,
-@qcode{"currentpoint"} holds the coordinates of the point over which the
-mouse pointer is when the function gets called.
-
 @item dataaspectratio
 A two-element vector specifying the relative height and width of the
-data displayed in the axes.  Setting @code{dataaspectratio} to @samp{1,
+data displayed in the axes.  Setting @code{"dataaspectratio"} to @samp{[1,
 2]} causes the length of one unit as displayed on the y-axis to be the
 same as the length of 2 units on the x-axis.  Setting
-@code{dataaspectratio} also forces the @code{dataaspectratiomode}
+@code{"dataaspectratio"} also causes the @code{"dataaspectratiomode"}
 property to be set to @qcode{"manual"}.
 
-@item dataaspectratiomode
-Either @qcode{"manual"} or @qcode{"auto"}.
-
-@item deletefcn
-
-@item drawmode
-
-@item fontangle
-
-@item fontname
-
-@item fontsize
-
-@item fontunits
-
-@item fontweight
-
-@item gridlinestyle
-
-@item handlevisibility
-
-@item hittest
-
-@item interpreter
-
-@item interruptible
-
-@item layer
-
-@item linestyleorder
-
-@item linewidth
-
-@item minorgridlinestyle
-
-@item nextplot
-May be one of
-
-@table @asis
-@item @qcode{"add"}
-
-@item @qcode{"replace"}
-
-@item @qcode{"replacechildren"}
-@end table
+@item dataaspectratiomode: @code{[ @{auto@}  | manual ]}
+
+@item deletefcn:
+
+@item drawmode: @code{[ fast | @{normal@} ]}
+
+@item fontangle: @code{[ italic | @{normal@} | oblique ]}
+
+@item fontname:
+
+@item fontsize:
+
+@item fontunits: @code{[ centimeters | inches | normalized | pixels | @{points@} ]}
+
+@item fontweight: @code{[ bold | demi | light | @{normal@} ]}
+
+@item gridlinestyle: @code{[ - | -- | -. | @{:@} | none ]}
+
+@item handlevisibility: @code{[ callback | off | @{on@}  ]}
+
+@item hittest: @code{[ off | @{on@}  ]}
+
+@item interpreter: @code{[ latex | @{none@}  | tex ]}
+
+@item interruptible: @code{[ off | @{on@}  ]}
+@item layer: @code{[ @{bottom@}  | top ]}
+
+@item linestyleorder:
+
+@item linewidth:
+
+@item minorgridlinestyle: @code{[ - | -- | -. | @{:@} | none ]}
+
+@item nextplot: @code{[ add | @{replace@} | replacechildren ]}
 
 @item outerposition
 A vector specifying the position of the plot, including titles, axes and
@@ -1721,14 +1697,13 @@
 to the width and height of the plot window.  For example, @code{[0.2,
 0.3, 0.4, 0.5]} sets the lower left corner of the axes at @math{(0.2,
 0.3)} and the width and height to be 0.4 and 0.5 respectively.  See also
-the @code{position} property.
-
-@item parent
-
-@item plotboxaspectratio
-
-@item plotboxaspectratiomode
-
+the @code{"position"} property.
+
+@item parent:
+
+@item plotboxaspectratio:
+
+@item plotboxaspectratiomode: @code{[ @{auto@}  | manual ]}
 @item position
 A vector specifying the position of the plot, excluding titles, axes and
 legend.  The four elements of the vector are the coordinates of the
@@ -1736,182 +1711,148 @@
 to the width and height of the plot window.  For example, @code{[0.2,
 0.3, 0.4, 0.5]} sets the lower left corner of the axes at @math{(0.2,
 0.3)} and the width and height to be 0.4 and 0.5 respectively.  See also
-the @code{outerposition} property.
-
-@item projection
-
-@item selected
-
-@item selectionhighlight
-
-@item tag
-
-@item tickdir
-
-@item tickdirmode
-
-@item ticklength
-
-@item tightinset
+the @code{"outerposition"} property.
+
+@item projection: @code{[ @{orthographic@} | perspective ]}
+
+@item selected: @code{[ off | @{on@}  ]}
+
+@item selectionhighlight: @code{[ off | @{on@}  ]}
+
+@item tag:
+
+@item tickdir: @code{[ @{in@} | out ]}
+
+@item tickdirmode: @code{[ @{auto@}  | manual ]}
+
+@item ticklength:
 
 @item title
 Index of text object for the axes title.
 
-@item type
-
-@item uicontextmenu
-
-@item units
-
-@item userdata
+@item type:
+
+@item uicontextmenu:
+
+@item units: @code{[ centimeters | characters | inches | @{normalized@} | pixels | points ]}
+
+@item userdata:
 
 @item view
 A three element vector specifying the view point for three-dimensional plots.
 
-@item visible
-Either @qcode{"on"} or @qcode{"off"} to toggle display of the axes.
-
-@item x_normrendertransform
-
-@item x_projectiontransform
-
-@item x_rendertransform
-
-@item x_viewporttransform
-
-@item x_viewtransform
-
-@item xaxislocation
-Either @qcode{"top"} or @qcode{"bottom"}.
-
-@item xcolor
-
-@item xdir
-Either @qcode{"forward"} or @qcode{"reverse"}.
-
-@item xgrid
-Either @qcode{"on"} or @qcode{"off"} to toggle display of grid lines.
+@item visible: @code{[ off | @{on@}  ]}
+
+@item xaxislocation: @code{[ @{bottom@}  | top | zero ]}
+
+@item xcolor:
+
+@item xdir: @code{[ @{normal@} | reverse ]}
+
+@item xgrid: @code{[ off | @{on@}  ]}
 
 @item xlabel
 Indices to text objects for the axes labels.
 
 @item xlim
 Two-element vector defining the limits for the x-axis.
-Setting this property also forces the corresponding mode
+Setting this property also causes the corresponding mode
 property to be set to @qcode{"manual"}.
 
-@item xlimmode
-Either @qcode{"manual"} or @qcode{"auto"}.
-
-@item xminorgrid
-Either @qcode{"on"} or @qcode{"off"} to toggle display of minor grid lines.
-
-@item xminortick
-
-@item xscale
-Either @qcode{"linear"} or @qcode{"log"}.
+@item xlimmode: @code{[ @{auto@}  | manual ]}
+
+@item xminorgrid: @code{[ off | @{on@}  ]}
+
+@item xminortick: @code{[ off | @{on@}  ]}
+
+@item xscale: @code{[ @{linear@} | log ]}
 
 @item xtick
 Set position of tick marks.
-Setting this property also forces the corresponding mode
+Setting this property also causes the corresponding mode
 property to be set to @qcode{"manual"}.
 
 @item xticklabel
-Setting this property also forces the corresponding mode
+Setting this property also causes the corresponding mode
 property to be set to @qcode{"manual"}.
 
-@item xticklabelmode
-Either @qcode{"manual"} or @qcode{"auto"}.
-
-@item xtickmode
-Either @qcode{"manual"} or @qcode{"auto"}.
-
-@item yaxislocation
-Either @qcode{"left"} or @qcode{"right"}
-
-@item ycolor
-
-@item ydir
-Either @qcode{"forward"} or @qcode{"reverse"}.
-
-@item ygrid
-Either @qcode{"on"} or @qcode{"off"} to toggle display of grid lines.
+@item xticklabelmode: @code{[ @{auto@}  | manual ]}
+
+@item xtickmode: @code{[ @{auto@}  | manual ]}
+
+@item yaxislocation: @code{[ @{left@} | right | zero ]}
+
+@item ycolor:
+
+@item ydir: @code{[ @{normal@} | reverse ]}
+
+@item ygrid: @code{[ off | @{on@}  ]}
 
 @item ylabel
 Indices to text objects for the axes labels.
 
 @item ylim
-Two-element vectors defining the limits for the x, y, and z axes and the
-Setting one of these properties also forces the corresponding mode
+Two-element vector defining the limits for the y-axis.
+Setting this property also causes the corresponding mode
 property to be set to @qcode{"manual"}.
 
-@item ylimmode
-Either @qcode{"manual"} or @qcode{"auto"}.
+@item ylimmode: @code{[ @{auto@}  | manual ]}
 
 @item yminorgrid
+
 Either @qcode{"on"} or @qcode{"off"} to toggle display of minor grid lines.
 
-@item yminortick
-
-@item yscale
-Either @qcode{"linear"} or @qcode{"log"}.
+@item yminortick: @code{[ off | @{on@}  ]}
+
+@item yscale: @code{[ @{linear@} | log ]}
 
 @item ytick
 Set position of tick marks.
-Setting this property also forces the corresponding mode
+Setting this property also causes the corresponding mode
 property to be set to @qcode{"manual"}.
 
 @item yticklabel
-Setting this property also forces the corresponding mode
+Setting this property also causes the corresponding mode
 property to be set to @qcode{"manual"}.
 
-@item yticklabelmode
-Either @qcode{"manual"} or @qcode{"auto"}.
-
-@item ytickmode
-Either @qcode{"manual"} or @qcode{"auto"}.
-
-@item zcolor
-
-@item zdir
-Either @qcode{"forward"} or @qcode{"reverse"}.
-
-@item zgrid
-Either @qcode{"on"} or @qcode{"off"} to toggle display of grid lines.
+@item yticklabelmode: @code{[ @{auto@}  | manual ]}
+
+@item ytickmode: @code{[ @{auto@}  | manual ]}
+
+@item zcolor:
+
+@item zdir: @code{[ @{normal@} | reverse ]}
+
+@item zgrid: @code{[ off | @{on@}  ]}
 
 @item zlabel
 Indices to text objects for the axes labels.
 
 @item zlim
-Two-element vector defining the limits for z-axis.
-Setting this property also forces the corresponding mode
+Two-element vector defining the limits for the z-axis.
+Setting this property also causes the corresponding mode
 property to be set to @qcode{"manual"}.
 
-@item zlimmode
-Either @qcode{"manual"} or @qcode{"auto"}.
-
-@item zminorgrid
-Either @qcode{"on"} or @qcode{"off"} to toggle display of minor grid lines.
-
-@item zminortick
-
-@item zscale
-Either @qcode{"linear"} or @qcode{"log"}.
+@item zlimmode: @code{[ @{auto@}  | manual ]}
+
+@item zminorgrid: @code{[ off | @{on@}  ]}
+
+@item zminortick: @code{[ off | @{on@}  ]}
+
+@item zscale: @code{[ @{linear@} | log ]}
 
 @item ztick
 Set position of tick marks.
-Setting this property also forces the corresponding mode
+Setting this property also causes the corresponding mode
 property to be set to @qcode{"manual"}.
 
 @item zticklabel
-Setting this property also forces the corresponding mode
+Setting this property also causes the corresponding mode
 property to be set to @qcode{"manual"}.
 
-@item zticklabelmode
-Either @qcode{"manual"} or @qcode{"auto"}.
-
-@item ztickmode
-Either @qcode{"manual"} or @qcode{"auto"}.
+@item zticklabelmode: @code{[ @{auto@}  | manual ]}
+
+@item ztickmode: @code{[ @{auto@}  | manual ]}
 
 @end table
 
@@ -1922,109 +1863,81 @@
 The @code{line} properties are:
 
 @table @code
-@item __modified__
-
-@item __myhandle__
-
-@item beingdeleted
-
-@item busyaction
+@item __modified__: @code{[ off | @{on@}  ]}
+
+@item beingdeleted: @code{[ off | @{on@}  ]}
+
+@item busyaction: @code{[ cancel | @{queue@} ]}
 
 @item buttondownfcn
 
-@item children
-
-@item clipping
+@item clipping: @code{[ off | @{on@}  ]}
 
 @item color
 The RGB color of the line, or a color name.  @xref{Colors}.
 
-@item createfcn
-
-@item deletefcn
+@item createfcn:
+
+@item deletefcn:
 
 @item displayname
 The text of the legend entry corresponding to this line.
 
-@item erasemode
-
-@item handlevisibility
-
-@item hittest
-
-@item interpreter
-
-@item interruptible
+@item erasemode: @code{[ background | none | @{normal@} | xor ]}
+
+@item handlevisibility: @code{[ callback | off | @{on@}  ]}
+
+@item hittest: @code{[ off | @{on@}  ]}
+
+@item interpreter: @code{[ latex | none | @{tex@} ]}
+
+@item interruptible: @code{[ off | @{on@}  ]}
 
 @item ldata
 The lower errorbar in the y direction to be plotted.
 
 @item  linestyle
-@itemx linewidth
+@itemx linewidth: @code{[ @{-@} | -- | -. | : | none ]}
 @xref{Line Styles}.
 
-@item linewidth
-
-@item marker
-
-@item markeredgecolor
-
-@item markerfacecolor
-
+@item linewidth:
+
+@item marker: @code{[ * | + | . | < | > | ^ | d | diamond | h | hexagram | @{none@}  | o | p | pentagram | s | square | v | x ]}
+
+@item markeredgecolor: @code{[ @{auto@}  | none ]}
+@item markerfacecolor: @code{[ auto | @{none@}  ]}
 @item markersize
 @xref{Marker Styles}.
 
-@item parent
-
-@item selected
-
-@item selectionhighlight
-
-@item tag
-
-@item type
-
-@item udata
-The upper errorbar in the y direction to be plotted.
-
-@item uicontextmenu
-
-@item userdata
-
-@item visible
+@item parent:
+
+@item selected: @code{[ off | @{on@}  ]}
+
+@item selectionhighlight: @code{[ off | @{on@}  ]}
+
+@item tag:
+
+@item uicontextmenu:
+
+@item userdata:
+
+@item visible: @code{[ off | @{on@}  ]}
 
 @item xdata
 The data to be plotted.
 
-@item xdatasource
-
-@item xldata
-The lower errorbar to be plotted.
-
-@item xlim
-
-@item xliminclude
-
-@item xudata
-The upper errorbar to be plotted.
+@item xdatasource:
 
 @item ydata
 The data to be plotted.
 
-@item ydatasource
-
-@item ylim
-
-@item yliminclude
+@item ydatasource:
 
 @item zdata
 The data to be plotted.
 
 @item zdatasource
 
-@item zlim
-
-@item zliminclude
 @end table
 
 @node Text Properties
@@ -2034,41 +1947,33 @@
 The @code{text} properties are:
 
 @table @code
-@item __modified__
-
-@item __myhandle__
-
-@item backgroundcolor
-
-@item beingdeleted
-
-@item busyaction
-
-@item buttondownfcn
-
-@item children
-
-@item clipping
+@item __modified__: @code{[ off | @{on@}  ]}
+
+@item backgroundcolor: @code{[ @{none@}  ]}
+
+@item beingdeleted: @code{[ off | @{on@}  ]}
+
+@item busyaction: @code{[ cancel | @{queue@} ]}
+
+@item clipping: @code{[ off | @{on@}  ]}
 
 @item color
 The color of the text.  @xref{Colors}.
 
-@item createfcn
-
-@item deletefcn
+@item createfcn:
+
+@item deletefcn:
 
 @item displayname
 The text of the legend entry corresponding to this line.
 
-@item edgecolor
-
-@item editing
-
-@item erasemode
-
-@item fontangle
-Flag whether the font is italic or normal.  Valid values are @qcode{"normal"},
-@qcode{"italic"}, and @qcode{"oblique"}.
+@item edgecolor: @code{[ @{none@}  ]}
+
+@item editing: @code{[ off | @{on@}  ]}
+
+@item erasemode: @code{[ background | none | @{normal@} | xor ]}
+
+@item fontangle: @code{[ italic | @{normal@} | oblique ]}
 
 @item fontname
 The font used for the text.
@@ -2076,32 +1981,27 @@
 @item fontsize
 The size of the font, in points to use.
 
-@item fontunits
-
-@item fontweight
-Flag whether the font is bold, etc.  Valid values are @qcode{"normal"},
-@qcode{"bold"}, @qcode{"demi"}, or @qcode{"light"}.
-
-@item handlevisibility
-
-@item hittest
-
-@item horizontalalignment
-May be @qcode{"left"}, @qcode{"center"}, or @qcode{"right"}.
-
-@item interpreter
-Determines how the text is rendered.  Valid values are @qcode{"none"},
-@qcode{"tex"}, or @qcode{"latex"}.
-
-@item interruptible
-
-@item linestyle
-
-@item linewidth
-
-@item margin
-
-@item parent
+@item fontunits: @code{[ centimeters | inches | normalized | pixels | @{points@} ]}
+
+@item fontweight: @code{[ bold | demi | light | @{normal@} ]}
+
+@item handlevisibility: @code{[ callback | off | @{on@}  ]}
+
+@item hittest: @code{[ off | @{on@}  ]}
+
+@item horizontalalignment: @code{[ center | @{left@} | right ]}
+
+@item interpreter: @code{[ latex | none | @{tex@} ]}
+
+@item interruptible: @code{[ off | @{on@}  ]}
+
+@item linestyle: @code{[ @{-@} | -- | -. | : | none ]}
+
+@item linewidth:
+
+@item margin:
+
+@item parent:
 
 @item position
 The coordinates of the text object.
@@ -2109,39 +2009,26 @@
 @item rotation
 The angle of rotation for the displayed text, measured in degrees.
 
-@item selected
-
-@item selectionhighlight
+@item selected: @code{[ off | @{on@}  ]}
+
+@item selectionhighlight: @code{[ off | @{on@}  ]}
 
 @item string
 The character string contained by the text object.
 
-@item tag
-
-@item type
+@item tag:
+
+@item type:
 
 @item uicontextmenu
 
-@item units
-May be @qcode{"normalized"} or @qcode{"graph"}.
-
-@item userdata
-
-@item verticalalignment
-
-@item visible
-
-@item xlim
-
-@item xliminclude
-
-@item ylim
-
-@item yliminclude
-
-@item zlim
-
-@item zliminclude
+@item units: @code{[ centimeters | @{data@} | inches | normalized | pixels | points ]}
+
+@item userdata:
+
+@item verticalalignment: @code{[ baseline | bottom | cap | @{middle@} | top ]}
+
+@item visible: @code{[ off | @{on@}  ]}
 
 @end table
 
@@ -2152,15 +2039,17 @@
 The @code{image} properties are:
 
 @table @code
-@item __modified__
-
-@item __myhandle__
-
-@item beingdeleted
-
-@item busyaction
-
-@item buttondownfcn
+@item __modified__: @code{[ off | @{on@}  ]}
+
+@item alphadata:
+
+@item alphadatamapping: @code{[ direct | @{none@}  | scaled ]}
+
+@item beingdeleted: @code{[ off | @{on@}  ]}
+
+@item busyaction: @code{[ cancel | @{queue@} ]}
+
+@item buttondownfcn:
 
 @item cdata
 The data for the image.  Each pixel of the image corresponds to an
@@ -2169,57 +2058,48 @@
 the image.  The color value found in the color map for the given index
 determines the color of the pixel.
 
-@item cdatamapping
-
-@item children
-
-@item clim
-
-@item climinclude
-
-@item clipping
-
-@item createfcn
-
-@item deletefcn
-
-@item handlevisibility
-
-@item hittest
-
-@item interruptible
-
-@item parent
-
-@item selected
-
-@item selectionhighlight
-
-@item tag
-
-@item type
-
-@item uicontextmenu
-
-@item userdata
-
-@item visible
+@item cdatamapping: @code{[ @{direct@} | scaled ]}
+
+@item clipping: @code{[ off | @{on@}  ]}
+
+@item createfcn:
+
+@item deletefcn:
+
+@item displayname:
+
+@item erasemode: @code{[ background | none | @{normal@} | xor ]}
+
+@item handlevisibility: @code{[ callback | off | @{on@}  ]}
+
+@item hittest: @code{[ off | @{on@}  ]}
+
+@item interruptible: @code{[ off | @{on@}  ]}
+
+@item parent:
+
+@item selected: @code{[ off | @{on@}  ]}
+
+@item selectionhighlight: @code{[ off | @{on@}  ]}
+
+@item tag:
+
+@item type:
+
+@item uicontextmenu:
+
+@item userdata:
+
+@item visible: @code{[ off | @{on@}  ]}
 
 @item xdata
 Two-element vector specifying the range of the x-coordinates for
 the image.
 
-@item xlim
-
-@item xliminclude
-
 @item ydata
 Two-element vector specifying the range of the y-coordinates for
 the image.
 
-@item ylim
-
-@item yliminclude
 @end table
 
 @node Patch Properties
@@ -2229,146 +2109,120 @@
 The @code{patch} properties are:
 
 @table @code
-@item __modified__
-
-@item __myhandle__
-
-@item alim
-
-@item aliminclude
-
-@item alphadatamapping
-
-@item ambientstrength
-
-@item backfacelighting
-
-@item beingdeleted
-
-@item busyaction
-
-@item buttondownfcn
+@item __modified__: @code{[ off | @{on@}  ]}
+
+@item alphamapping: @code{[ direct | none | @{scaled@} ]}
+
+@item ambientstrength:
+
+@item backfacelighting: @code{[ lit | @{reverselit@} | unlit ]}
+
+@item beingdeleted: @code{[ off | @{on@}  ]}
+
+@item busyaction: @code{[ cancel | @{queue@} ]}
+
+@item buttondownfcn:
 
 @item cdata
 Data defining the patch object.
 
-@item cdatamapping
-
-@item children
-
-@item clim
-
-@item climinclude
-
-@item clipping
-
-@item createfcn
-
-@item deletefcn
-
-@item diffusestrength
+@item cdatamapping: @code{[ direct | @{scaled@} ]}
+
+@item clipping: @code{[ off | @{on@}  ]}
+
+@item createfcn:
+
+@item deletefcn:
+
+@item diffusestrength:
 
 @item displayname
 The text of the legend entry corresponding to this line.
 
-@item edgealpha
+@item edgealpha:
 
 @item edgecolor
 The color of the line defining the patch.  @xref{Colors}.
 
-@item edgelighting
-
-@item erasemode
+@item edgelighting: @code{[ flat | gouraud | @{none@}  | phong ]}
+
+@item erasemode: @code{[ background | none | @{normal@} | xor ]}
 
 @item facealpha
-A number in the range [0, 1] indicating the transparency of the patch.
+A number in the range @math{[0, 1]} indicating the transparency of the patch.
 
 @item facecolor
 The fill color of the patch.  @xref{Colors}.
 
-@item facelighting
-
-@item faces
-
-@item facevertexalphadata
-
-@item facevertexcdata
-
-@item handlevisibility
-
-@item hittest
-
-@item interpreter
-
-@item interruptible
-
-@item linestyle
+@item facelighting: @code{[ flat | gouraud | @{none@}  | phong ]}
+
+@item faces:
+
+@item facevertexalphadata:
+
+@item facevertexcdata:
+
+@item handlevisibility: @code{[ callback | off | @{on@}  ]}
+
+@item hittest: @code{[ off | @{on@}  ]}
+
+@item interpreter: @code{[ latex | none | @{tex@} ]}
+
+@item interruptible: @code{[ callback | off | @{on@}  ]}
+
+@item linestyle: @code{[ @{-@} | -- | -. | : | none ]}
 @xref{Line Styles}.
 
-@item linewidth
+@item linewidth:
 @xref{Line Styles}.
 
-@item marker
+@item marker: @code{[ * | + | . | < | > | ^ | d | diamond | h | hexagram | @{none@}  | o | p | pentagram | s | square | v | x ]}
 @xref{Marker Styles}.
 
-@item markeredgecolor
+@item markeredgecolor: @code{[ @{auto@}  | flat | none ]}
 @xref{Marker Styles}.
 
 @item markerfacecolor
-@xref{Marker Styles}.
+@xref{Marker Styles}.: @code{[ @{auto@}  | flat | none ]}
 
 @item markersize
 @xref{Marker Styles}.
 
-@item normalmode
-
-@item parent
-
-@item selected
-
-@item selectionhighlight
-
-@item specularcolorreflectance
-
-@item specularexponent
-
-@item specularstrength
-
-@item tag
-
-@item type
-
-@item uicontextmenu
-
-@item userdata
-
-@item vertexnormals
-
-@item vertices
-
-@item visible
+@item normalmode: @code{[ @{auto@}  | manual ]}
+
+@item parent:
+
+@item selected: @code{[ off | @{on@}  ]}
+
+@item selectionhighlight: @code{[ off | @{on@}  ]}
+
+@item specularcolorreflectance:
+
+@item specularexponent:
+
+@item specularstrength:
+
+@item tag:
+
+@item uicontextmenu:
+
+@item userdata:
+
+@item vertexnormals:
+
+@item vertices:
+
+@item visible: @code{[ off | @{on@}  ]}
 
 @item xdata
 Data defining the patch object.
 
-@item xlim
-
-@item xliminclude
-
 @item ydata
 Data defining the patch object.
 
-@item ylim
-
-@item yliminclude
-
 @item zdata
 Data defining the patch object.
 
-@item zlim
-
-@item zliminclude
-
 @end table
 
 @node Surface Properties
@@ -2378,132 +2232,110 @@
 The @code{surface} properties are:
 
 @table @code
-@item __modified__
-
-@item __myhandle__
-
-@item alim
-
-@item aliminclude
-
-@item alphadata
-
-@item alphadatamapping
-
-@item ambientstrength
-
-@item backfacelighting
-
-@item beingdeleted
-
-@item busyaction
-
-@item buttondownfcn
-
-@item cdata
-
-@item cdatamapping
-
-@item cdatasource
-
-@item children
-
-@item clim
-
-@item climinclude
-
-@item clipping
-
-@item createfcn
-
-@item deletefcn
-
-@item diffusestrength
+@item __modified__: @code{[ off | @{on@}  ]}
+
+@item alphadata:
+
+@item alphadatamapping: @code{[ direct | none | @{scaled@} ]}
+
+@item ambientstrength:
+
+@item backfacelighting: @code{[ lit | @{reverselit@} | unlit ]}
+
+@item beingdeleted: @code{[ off | @{on@}  ]}
+
+@item busyaction: @code{[ cancel | @{queue@} ]}
+
+@item buttondownfcn:
+
+@item cdata:
+
+@item cdatamapping: @code{[ direct | @{scaled@} ]}
+
+@item cdatasource:
+
+@item clipping: @code{[ off | @{on@}  ]}
+
+@item createfcn:
+
+@item deletefcn:
+
+@item diffusestrength:
 
 @item displayname
 The text of the legend entry corresponding to this surface.
 
-@item edgealpha
-
-@item edgecolor
-
-@item edgelighting
-
-@item erasemode
-
-@item facealpha
-
-@item facecolor
-
-@item facelighting
-
-@item handlevisibility
-
-@item hittest
-
-@item interpreter
-
-@item interruptible
-
-@item linestyle
-
-@item linewidth
-
-@item marker
-
-@item markeredgecolor
-
-@item markerfacecolor
+@item edgealpha:
+
+@item edgecolor:
+
+@item edgelighting: @code{[ flat | gouraud | @{none@}  | phong ]}
+
+@item erasemode: @code{[ background | none | @{normal@} | xor ]}
+
+@item facealpha:
+
+@item facecolor: @code{[ @{flat@} | interp | none | texturemap ]}
+
+@item facelighting: @code{[ flat | gouraud | @{none@}  | phong ]}
+
+@item handlevisibility: @code{[ callback | off | @{on@}  ]}
+
+@item hittest: @code{[ off | @{on@}  ]}
+
+@item interpreter: @code{[ latex | none | @{tex@} ]}
+
+@item interruptible: @code{[ off | @{on@}  ]}
+
+@item linestyle: @code{[ @{-@} | -- | -. | : | none ]}
+
+@item linewidth:
+
+@item marker: @code{[ * | + | . | < | > | ^ | d | diamond | h | hexagram | @{none@}  | o | p | pentagram | s | square | v | x ]}
+
+@item markeredgecolor: @code{[ @{auto@}  | flat | none ]}
+
+@item markerfacecolor: @code{[ auto | flat | @{none@}  ]}
 
 @item markersize
 
-@item meshstyle
-
-@item normalmode
-
-@item parent
-
-@item selected
-
-@item selectionhighlight
-
-@item specularcolorreflectance
-
-@item specularexponent
-
-@item specularstrength
-
-@item tag
-
-@item type
-
-@item uicontextmenu
-
-@item userdata
-
-@item vertexnormals
-
-@item visible
+@item meshstyle: @code{[ @{both@} | column | row ]}
+
+@item normalmode: @code{[ @{auto@}  | manual ]}
+
+@item parent:
+
+@item selected: @code{[ off | @{on@}  ]}
+
+@item selectionhighlight: @code{[ off | @{on@}  ]}
+
+@item specularcolorreflectance:
+
+@item specularexponent:
+
+@item specularstrength:
+
+@item tag:
+
+@item uicontextmenu:
+
+@item userdata:
+
+@item vertexnormals:
+
+@item visible: @code{[ off | @{on@}  ]}
 
 @item xdata
 The data determining the surface.  The @code{xdata} and @code{ydata}
 elements are vectors and @code{zdata} must be a matrix.
 
-@item xdatasource
-
-@item xlim
-
-@item xliminclude
+@item xdatasource:
 
 @item ydata
 The data determining the surface.  The @code{xdata} and @code{ydata}
 elements are vectors and @code{zdata} must be a matrix.
 
-@item ydatasource
-
-@item ylim
-
-@item yliminclude
+@item ydatasource:
 
 @item zdata
 The data determining the surface.  The @code{xdata} and @code{ydata}
@@ -2511,9 +2343,6 @@
 
 @item zdatasource
 
-@item zlim
-
-@item zliminclude
 @end table
 
 @node Searching Properties
@@ -3235,7 +3064,7 @@
 
 @item  linewidth
 @itemx linestyle
-The line width and style of the line objects of the quiver.  @xref{Line Styles}.
+The line width and style of the line objects of the quiver. @xref{Line Styles}.
 
 @item  marker
 @itemx markerfacecolor
@@ -3313,11 +3142,13 @@
 
 @table @code
 @item color
-The RGB color or color name of the line objects of the stairs.  @xref{Colors}.
+The RGB color or color name of the line objects of the stairs.  
+@xref{Colors}.
 
 @item  linewidth
 @itemx linestyle
-The line width and style of the line objects of the stairs.  @xref{Line Styles}.
+The line width and style of the line objects of the stairs.  
+@xref{Line Styles}.
 
 @item  marker
 @itemx markeredgecolor
diff -r ff613b6a7b6f -r 20364e10e022 libinterp/corefcn/graphics.in.h
--- a/libinterp/corefcn/graphics.in.h	Fri May 23 16:28:37 2014 +0200
+++ b/libinterp/corefcn/graphics.in.h	Sat May 31 00:34:14 2014 +0100
@@ -3762,7 +3762,7 @@
       array_property plotboxaspectratio mu , Matrix (1, 3, 1.0)
       radio_property plotboxaspectratiomode u , "{auto}|manual"
       array_property position u , default_axes_position ()
-      radio_property projection , "{orthographic}|perpective"
+      radio_property projection , "{orthographic}|perspective"
       radio_property tickdir mu , "{in}|out"
       radio_property tickdirmode u , "{auto}|manual"
       array_property ticklength u , default_axes_ticklength ()
